      subroutine hec_runh_pass
c
c quick dummy pass to get runheader info only
c this routine might sometimes be used by packages
c that need run header information at initialization 
c stage
c
      implicit none
c
c user datacard values common
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc'
c
c event header EVTH common
c
      include'hec_evth.inc'
c
c set maximum epio buffers with dummy arrays
c
      include'hec_maxepio.inc'
c
c local variable declaration
c
      logical hec_nextevt_epio_runh
      external hec_nextevt_epio_runh
c
      print *, ' '
      print *, ' *** using hec_runh_pass.f to get run header info'
c
c initialise data io for pass
c
      call hec_io_pass_ini
c
c loop over events.....only allow one event
c
      i_event = 1
      do while (hec_nextevt_epio_runh(epdatabuf,iepbufset) .and. 
     +         i_event .le. 1)
c
c handle end of event data io
c
        call hec_io_pass_evt
c
        i_event = i_event + 1
      enddo                     ! enddo over events
      i_event = i_event - 1
      print *, ' *** events processed in run header pass  ', i_event
c
c handle data io at pass end
c
      call hec_io_pass_ter
c
      print *, ' *** run header pass done'
c
      end

 
              
            
          
