      subroutine hec_tdc_evt
c
c process the raw tdc time
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
      include'hec_runh.inc'     !run header values
      include'hec_tdc.inc'      !tdc values
c
      if (irunpd .lt. 6) return
c      
c convert from tdc to ns
c
      tdc_ns = tdc_raw * tdc_raw_to_ns
      if (run_mode .eq. 1) then
c
c for run period from April 1998 
c
        if (irunpd .eq. 6) then
          if (tdc_ns .gt. tdc_slice_shift) then
            tdc_ns = tdc_ns - 25.
          endif
        elseif (irunpd .ge. 7) then
          tdc_slice_shift = tdc_raw_to_ns*tdc_br_point
          if (tdc_raw .gt. tdc_br_point)
     +      tdc_ns = tdc_ns - 25.
          tdc_dubious = .false.
          if ((iabs(tdc_raw-tdc_br_point)) .le. tdc_guard_region)
     +      tdc_dubious = .true.
c
c correct for 6 second tdc change partway through period 7
c
          if (run_no .le. 7178 .and. irunpd .eq. 7) 
     +      tdc_ns = tdc_ns - 6.0
c
        endif
c
c online mode
c
      elseif (run_mode .eq. 2) then
        if (run_no .ge. 7446) then
          if (tdc_raw .gt. mon_break) then
            tdc_ns = tdc_ns - 25.
ccc            print *,'corrected tdc ',tdc_raw
          endif
        endif
      endif
c      
      end

