      subroutine hec_ntuple_ini
c
c routine to initialize ntuple package
c
c
        implicit none
c
c parameter and geometry commons
c
        include'hec_par.inc'        ! shared parameters
        include'hec_datacard.inc'   ! datacard values
        include'hec_geo.inc'        ! geometry correspondance tables
        include'hec_ntuple.inc'     ! ntuple common
        include'hec_ntuple_sys.inc' ! ntuple system common
c
        integer ic,icount,ic2
        integer bad_index
        logical cell_flag
c
c book ntuples
c
        call hec_ntuple_book
c
c check to see if cell is in "bad cell" list, choose whether or
c not to include it in ntuple. (eg. If cell has bad digital filtering weights 
c and m_pref=2, do not include it).
c
        icount = 0.
        do ic = 1, i_adc_used
          cell_flag = .true.
          do ic2 = 1, i_adc_used
            if ( ic .eq. i_badcells_ic(ic2,1) ) then
              cell_flag = .false.
              bad_index = ic2
            endif
          enddo
          if (cell_flag) then
            icount = icount + 1
            cell_list(icount) = ic          
          elseif (.not. cell_flag .and. m_pref .eq. 2 .and. 
     +            i_badcells_ic(bad_index,3) .eq. 0 .and.
     +            eunits_ntp .eq. 1) then
            icount = icount + 1
            cell_list(icount) = ic
          elseif (.not. cell_flag .and. m_pref .ne. 2 .and. 
     +            i_badcells_ic(bad_index,2) .eq. 0 .and. 
     +            eunits_ntp .eq. 2)then
            icount = icount + 1
            cell_list(icount) = ic
          elseif ( .not. cell_flag .and. m_pref .ne. 2 
     +            .and. eunits_ntp .eq. 1) then
            icount = icount + 1
            cell_list(icount) = ic
          endif
        enddo
c
        i_good_cells = icount
c
        return 
        end










