      subroutine hec_online_clus_menu(hisnum)
c
      implicit none
c
      include'hec_par.inc'       ! shared parameters
      include'hec_datacard.inc'  ! datacard values
      include'hec_his_sys.inc'   ! system histogram common
c
c local variables
c
      integer hisnum,i
c
      print *, '***************************************************'
      print *, '* CLUSTER HISTOGRAM MENU    (15000)               *'
      print *, '***************************************************'
      print *, '* Histogram  Number  |  Content                   *'
      print *, '***************************************************'
c                                    |  Cluster for pad 1234
c fill the array his_clus_index that contain the cluster numbers for the
c clusters that are used (poll on the number of cells)
c fill his_clus_num, the total number of filled entries in his_clus_index
c (need to do this again in case we are jumping back into display without
c  rebooking histos -- ie. hec_his_ini is never called)
c
      call vzero(his_clus_index,nclust_dim)
      his_clus_num = 0
      do i = 1, nclust_dim
        if (his_clus_cell_array(1, i) .gt. 0) then
          his_clus_num = his_clus_num + 1
          his_clus_index(his_clus_num) = i
        endif
      enddo
c
      do i=1, his_clus_num
        if (his_clus_cell_array(1,his_clus_index(i)) .ne. 0) then
           write (*,8) his_clus_index(i)+15000,
     +                 his_clus_title(his_clus_index(i))
 8         format(' * ',i5,14x,'|  Cluster: ',a10,7x,'*')       
        endif
      enddo
c
      print *, '***************************************************'
c
c prompt user for histogram number and read from keyboard
c
      print *, ' ***ENTER 9999 TO GO BACK TO HISTOGRAM MENU'
      print *, ' ***ENTER HISTOGRAM NUMBER TO DISPLAY'
      print *, ' ***ENTER 0 TO GO TO PRINT MENU (EXIT HISTO MENU)'
      read(5,*,ERR=10) hisnum
c
        goto 11
 10     continue
        print *, ' ***Not a valid histogram number'
        hisnum = -1
 11     continue
c
      return 
      end
