      subroutine hec_online_ini
c
c initialize for online running
c
      implicit none
c
      include'hec_par.inc'          ! shared parameters
      include'hec_cal_coef.inc'     ! calibration coefficients
      include'hec_datacard.inc'     ! datacard values
      include'hec_his_sys.inc'      ! histogram package
c
c initialize higz for online histogram display
c
      call hec_online_higz
c
c initialize parameters for fadcs 
c
      call hec_fadc_ini
c
c read in digital filtering weights (if requested)
c
      if (m_pref .eq. 2) call hec_dig
c
c reset calibration coefficients array and read coefficients
c for each channel
c
      call vzero(hec_cal_coef, 5*i_adc_dim)
      call hec_cal_read
c
c zero moment arrays (from hec_his_sys.inc)
c
      call vzero(maxmom,i_adc_dim*3)
c
      end





