
c
c tdc common
c
c the tdc is the time between the trigger and the first time
c sampling
c
c tdc_raw         raw TDC value in TDC units
c tdc_ns          corrected TDC values in ns
c tdc_raw_to_ns   conversion factor from tdc to ns
c tdc_slice_shift time slice shift to correct October 1997 tdc
c tdc_dubious     .true., if the current TDC value is inside TDC break-
c                    point region. It means that the value MAY be incorrect 
c                    by 25 nsec. It should be either checked and corrected 
c                    (if necessary) by user or the event should be rejected, 
c                    if such the check is impossible
c tdc_br_point    
c tdc_guard_region
c
c
      integer tdc_raw
      real tdc_ns, tdc_raw_to_ns, tdc_slice_shift
      logical tdc_dubious
      integer tdc_br_point
      integer tdc_guard_region
      
      common /ssstdc/ tdc_raw, 
     +                tdc_ns, 
     +                tdc_raw_to_ns,
     +                tdc_slice_shift,
     +                tdc_dubious,
     +                tdc_br_point,
     +                tdc_guard_region
      
