      subroutine hec_geoe_zebra
c
c read bank GEOE
c
      implicit none
c
      include'hec_par.inc'
c
c adc values common
c must be preceded by the include file hec_par.inc
c
      include'hec_adc.inc'
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c zebra common
c
      include'hec_zebra.inc'
c
c local variables
c
      integer i
      integer k
      integer adc               !adc value
      integer ic                !adc channel number
c
c loop over adc in bank and fill common
c
      k=nint(q(ipointz + 1))
      do i = 2, k, 2
        ic = nint(q(ipointz + i))
        adc = nint(q(ipointz + i + 1))
        if (ic .le. 0) then
          print *, ' *** bad pad number in hec_geoe_zebra', ic
          stop
        elseif (ic .le. i_adc_used) then
          i_adc_ic(ic) = adc
        else
          print *, ' *** ic > i_adc_used in hec_geoe_zebra', ic
          stop
        endif
      enddo
c
c     print *, ' *** GEOE read'
c
      end
